me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageFuel

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageFuel

    public class StorageFuel
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageFuel()`
`StorageFuel(java.lang.Double usage, java.lang.String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getType()` The fuel type
`java.lang.Double` `getUsage()` The fuel usage
`void` `setType(java.lang.String type)` The fuel type
`void` `setUsage(java.lang.Double usage)` The fuel usage

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageFuel

    public StorageFuel(java.lang.Double usage,
                       java.lang.String type)

#### StorageFuel

    public StorageFuel()

### Method Detail

#### getUsage

    public java.lang.Double getUsage()

The fuel usage

#### getType

    public java.lang.String getType()

The fuel type

#### setUsage

    public void setUsage(java.lang.Double usage)

The fuel usage

#### setType

    public void setType(java.lang.String type)

The fuel type